﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CommunityDetection
{
	/**
	 * Create a candidate set with all singletons as candidates
	 */

	public class AllSingletonCG : CandidatesGenerator
	{
		protected override ThreadSafeQueue<Community> generate(ThreadSafeQueue<Community> queue)
		{
			for (int i = 0; i < size; i++)
			{
				Community c = new Community(graph);
				c.AddVertice(i);
				queue.Enqueue(c);
			}
			return queue;
		}

		public override string abbr()
		{
			return "as-"+(smartStart?"y":"n");
		}
	}
}
