﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CommunityDetection
{
	public abstract class Builder
	{
		public BinaryMatrix data;

		protected Builder(BinaryMatrix data)
		{
			this.data = data;
		}

		public abstract Classifier build(HashSet<int> trueRows);
	}
}
