﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CommunityDetection
{
	class ConjunctionClassifier : Classifier
	{
		public HashSet<int> inA, outA;

		public ConjunctionClassifier(HashSet<int> inA, HashSet<int> outA)
		{
			this.inA = inA;
			this.outA = outA;
		}
		
		public override bool classify(BitArray values, int row)
		{
			//contains all inA atreributes?
			foreach (int a in inA)
			{
				if (!values.get(a))
					return false;
			}


			//doest not contain outA attributes?
			foreach (int a in outA)
			{
				if (values.get(a))
					return false;
			}

			return true;
		}
	}
}
