﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CommunityDetection
{
	public class Tools
	{
		public static List<int> createList(int[] a)
		{
			List<int> list = new List<int>(a.Length);
			foreach (int i in a)
				list.Add(i);
			return list;
		}

		public static HashSet<int> createHashSet(int[] a)
		{
			HashSet<int> set = new HashSet<int>();
			foreach (int i in a)
				set.Add(i);
			return set;
		}

		public static string listToString(List<int> a)
		{
			string s = "";
			if (a == null)
				return "null";
			foreach (int i in a)
				s += " " + i.ToString();
			return s.Trim();
		}

		public static string listToString(HashSet<int> a)
		{
			string s = "";
			if (a == null)
				return "null";
			foreach (int i in a)
				s += " " + i.ToString();
			return s.Trim();
		}

		public static string listToString(IEnumerable<object> a)
		{
			string s = "";
			if (a == null)
				return "null";
			foreach (int i in a)
				s += " " + i.ToString();
			return s.Trim();
		}


		public static string listToString(int[] a)
		{
			string s = "";
			if (a == null)
				return "null";
			foreach (int i in a)
				s += " " + i;
			return s.Trim();
		}
	}
}
